Subject: 2.1.1 compile fails on FreeBSD -current

From: "Viren R. Shah" <[email-masked]>
Date: Thu, 19 Nov 1998 14:17:30 -0500 (EST)

[please cc: me, since i'm not on the -workers list]

I'm running FreeBSD:

FreeBSD jabberwock 3.0-CURRENT FreeBSD 3.0-CURRENT #0:

#1
==
When I try to compile 2.1.1, the compile fails because <search.h> is
not found. FreeBSD doesn't have search.h. The function bsearch()
(which is what fvwm seems to want) is in <stdlib.h>.

The <search.h> includes are found in 2 files:

[vshah@jabberwock] ~/Apps/fvwm-2.1.1> find . -name "*.[ch]" | xargs grep -i "include.*<search\.h>"
./libs/ModParse.h:#include <search.h>
./modules/FvwmEvent/Parse.h:#include <search.h>

I was wondering if that could be somehow made part of the configure
script, or could be #ifdef'ed out based on the OS.

#2
==

In extras/FvwmConsole/FvwmConsole.h

<sys/types.h> needs to be included before <sys/select.h>

#3
==

I also get a bunch of these warnings in FvwmScript:

gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I../../libs  -I/usr/X11R6/include    -g -O2 -c FvwmScript.c
In file included from types.h:12,
                 from FvwmScript.c:7:
/usr/include/malloc.h:2: warning: #warning "this file includes <malloc.h> which is deprecated, use <stdlib.h> instead"

This problem is taken care of in other files in fvwm in two different
ways:

In ./modules/FvwmForm/FvwmForm.c

#if !defined(__bsdi__) && !defined(__FreeBSD__)
#include <malloc.h>
#endif

In ./modules/FvwmIconMan/FvwmIconMan.h :

#ifdef MALLOC_H
#include <malloc.h>
#endif

The second way looks cleaner, but both work.

could someone modify extras/FvwmScript/types.h so that the malloc.h
include is conditonally compiled. 

Thanks
Viren
-- 
Viren R. Shah      | "For oft, when on my couch I lie
[email-masked]  |  In vacant or in pensive mood, 
Research Associate |  They flash upon that inward eye 
RST Inc.           |  Which is the bliss of solitude;" --WW
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].